import {BrowserModule} from '@angular/platform-browser';
import {NgModule} from '@angular/core';

import {AppComponent} from 'src/app/app.component';
import {HttpClientModule} from '@angular/common/http';
import {AppRoutesModule} from 'src/app/app-routes.module';
import {PageNotFoundComponent} from 'src/app/ErrorComponents/page-not-found.component';
import {LoginComponent} from 'src/app/LoginComponents/login.component';
import {LoginService} from 'src/app/LoginComponents/login.service';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {HttpErrorService} from 'src/app/ErrorComponents/http-error.service';
import {StudentRootModule} from 'src/app/StudentComponents/student-root.module';
import {LecturerRootModule} from 'src/app/LecturerComponents/lecturer-root.module';

@NgModule({
  declarations: [
    AppComponent,
    LoginComponent,
    PageNotFoundComponent
  ],
  imports: [
    BrowserModule,
    HttpClientModule,
    FormsModule,
    ReactiveFormsModule,
    StudentRootModule,
    LecturerRootModule,
    AppRoutesModule
  ],
  providers: [LoginService, HttpErrorService],
  bootstrap: [AppComponent]
})
export class AppModule { }
